std::__detail::_Rehash_base< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, std::true_type > Struct Template Reference
Containers » Unordered Associative » Base and Implementation Classes

`#include <hashtable_policy.h>`

## Public Types

using | __hashtable = _Hashtable< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits >

## Public Member Functions

float | max_load_factor () const noexcept
void | max_load_factor (float __z)
void | reserve (std::size_t __n)

## Detailed Description

template<typename _Key, typename _Value, typename _Alloc, typename _ExtractKey, typename _Equal, typename _H1, typename _H2, typename _Hash, typename _RehashPolicy, typename _Traits>
struct std::__detail::_Rehash_base< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, std::true_type >

Specialization when rehash policy provide load factor management.

Definition at line 1051 of file hashtable_policy.h.

## Member Typedef Documentation

## __hashtable

template<typename _Key , typename _Value , typename _Alloc , typename _ExtractKey , typename _Equal , typename _H1 , typename _H2 , typename _Hash , typename _RehashPolicy , typename _Traits >

using std::__detail::_Rehash_base< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, std::true_type >::__hashtable = _Hashtable<_Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits>

Definition at line 1055 of file hashtable_policy.h.

## Member Function Documentation

## max_load_factor() [1/2]

template<typename _Key , typename _Value , typename _Alloc , typename _ExtractKey , typename _Equal , typename _H1 , typename _H2 , typename _Hash , typename _RehashPolicy , typename _Traits >

float std::__detail::_Rehash_base< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, std::true_type >::max_load_factor | ( |  | ) | const

inline noexcept

Definition at line 1060 of file hashtable_policy.h.

## max_load_factor() [2/2]

template<typename _Key , typename _Value , typename _Alloc , typename _ExtractKey , typename _Equal , typename _H1 , typename _H2 , typename _Hash , typename _RehashPolicy , typename _Traits >

void std::__detail::_Rehash_base< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, std::true_type >::max_load_factor | ( | float | __z | ) |

inline

Definition at line 1067 of file hashtable_policy.h.

## reserve()

template<typename _Key , typename _Value , typename _Alloc , typename _ExtractKey , typename _Equal , typename _H1 , typename _H2 , typename _Hash , typename _RehashPolicy , typename _Traits >

void std::__detail::_Rehash_base< _Key, _Value, _Alloc, _ExtractKey, _Equal, _H1, _H2, _Hash, _RehashPolicy, _Traits, std::true_type >::reserve | ( | std::size_t | __n | ) |

inline

Definition at line 1074 of file hashtable_policy.h.

The documentation for this struct was generated from the following file:

- hashtable_policy.h